<?php
/**
 * @package    Cf_Quote
 *
 * @author     Carlos Cámara <carlos@hepta.es>
 * @copyright  2020 Hepta Technologies SL.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.hepta.es
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;

if (!$field->value || $field->value == '-1')
{
	return;
}

$app = Factory::getApplication();

$value = json_decode($field->value);
$url = $value->url;
$quote = strip_tags($value->quote, '<br><a><em><strong>');
$authorName = $value->author;

$cite = "";

if ($url)
{
	$cite = ' cite ="' . $url . '"';
}

$author = "";

if ($authorName)
{
	$author = $authorName;

	if ($url)
	{
		$author = '<a href="' . $url . '" rel="nofollow">' . $authorName . '</a>';
	}
}
?>

<blockquote<?php echo $cite; ?>>
	<p>
		<?php echo $quote; ?>
	</p>
	<footer>
		<?php echo $author; ?>
	</footer>
</blockquote>
